<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural Network Interface for Quantum Observable Readout from N-body wavefunctions: RHO2_K_Regression_from_SS_X.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural Network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('RHO2__K__Regression__from__SS__X_8py.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">RHO2_K_Regression_from_SS_X.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceRHO2__K__Regression__from__SS__X"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html">RHO2_K_Regression_from_SS_X</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a6072ad2aa104e70d07faec4d952553a0"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#a6072ad2aa104e70d07faec4d952553a0">RHO2_K_Regression_from_SS_X.histories</a> = []</td></tr>
<tr class="separator:a6072ad2aa104e70d07faec4d952553a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf1fe5cc448a6ad069a694f9ba432e9b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#acf1fe5cc448a6ad069a694f9ba432e9b">RHO2_K_Regression_from_SS_X.NSPS</a> = np.arange(2, 101, 10, dtype=int)</td></tr>
<tr class="separator:acf1fe5cc448a6ad069a694f9ba432e9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0744fda084caa0130f5ce09165520f8f"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#a0744fda084caa0130f5ce09165520f8f">RHO2_K_Regression_from_SS_X.scores</a> = []</td></tr>
<tr class="separator:a0744fda084caa0130f5ce09165520f8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a398eb6f35c4f215ccbbf38dfe16bb970"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#a398eb6f35c4f215ccbbf38dfe16bb970">RHO2_K_Regression_from_SS_X.NShotsPerSample</a></td></tr>
<tr class="separator:a398eb6f35c4f215ccbbf38dfe16bb970"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8555545518077e615d830c5526bda029"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#a8555545518077e615d830c5526bda029">RHO2_K_Regression_from_SS_X.NShots</a></td></tr>
<tr class="separator:a8555545518077e615d830c5526bda029"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9d55c3962b372b97595ac909613eab8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#ab9d55c3962b372b97595ac909613eab8">RHO2_K_Regression_from_SS_X.training_generator</a></td></tr>
<tr class="separator:ab9d55c3962b372b97595ac909613eab8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0acbe56b8b68af02b01b98fe2b712424"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#a0acbe56b8b68af02b01b98fe2b712424">RHO2_K_Regression_from_SS_X.validation_generator</a></td></tr>
<tr class="separator:a0acbe56b8b68af02b01b98fe2b712424"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a882d16b8fe3068c099cb2357cb78eecb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#a882d16b8fe3068c099cb2357cb78eecb">RHO2_K_Regression_from_SS_X.y_val</a> = np.array(y_val)</td></tr>
<tr class="separator:a882d16b8fe3068c099cb2357cb78eecb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a7aa86bdb1a88cfff4557e2fb78966d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#a3a7aa86bdb1a88cfff4557e2fb78966d">RHO2_K_Regression_from_SS_X.X_train</a></td></tr>
<tr class="separator:a3a7aa86bdb1a88cfff4557e2fb78966d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a021916f0e5f12caddf5a816b305bedf8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#a021916f0e5f12caddf5a816b305bedf8">RHO2_K_Regression_from_SS_X.y_train</a></td></tr>
<tr class="separator:a021916f0e5f12caddf5a816b305bedf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b667e518c125365192f9802316a7bef"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#a0b667e518c125365192f9802316a7bef">RHO2_K_Regression_from_SS_X.X_val</a></td></tr>
<tr class="separator:a0b667e518c125365192f9802316a7bef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af27fded9b8f4c95aa1d8ad40613ad8dd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#af27fded9b8f4c95aa1d8ad40613ad8dd">RHO2_K_Regression_from_SS_X.test_predictions</a></td></tr>
<tr class="separator:af27fded9b8f4c95aa1d8ad40613ad8dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9ddb4ce55769aceb2c680276c3a9d86"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#ae9ddb4ce55769aceb2c680276c3a9d86">RHO2_K_Regression_from_SS_X.score</a> = np.reshape(model.evaluate(validation_generator, verbose=0),(1,3))</td></tr>
<tr class="separator:ae9ddb4ce55769aceb2c680276c3a9d86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f575359790af418f9e40c10085fbd4d"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#a9f575359790af418f9e40c10085fbd4d">RHO2_K_Regression_from_SS_X.legend</a> = []</td></tr>
<tr class="separator:a9f575359790af418f9e40c10085fbd4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb7313d37774271213e5294f2aed1444"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#abb7313d37774271213e5294f2aed1444">RHO2_K_Regression_from_SS_X.fig</a></td></tr>
<tr class="separator:abb7313d37774271213e5294f2aed1444"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69a3539ecfc9858ab4f7b86c8c764f1d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#a69a3539ecfc9858ab4f7b86c8c764f1d">RHO2_K_Regression_from_SS_X.ax</a></td></tr>
<tr class="separator:a69a3539ecfc9858ab4f7b86c8c764f1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95e9e98c61f53d7250e24f79cd978b3e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#a95e9e98c61f53d7250e24f79cd978b3e">RHO2_K_Regression_from_SS_X.loc</a></td></tr>
<tr class="separator:a95e9e98c61f53d7250e24f79cd978b3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af808dd4002073ab0041ba3aa5f0ab7fd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#af808dd4002073ab0041ba3aa5f0ab7fd">RHO2_K_Regression_from_SS_X.xlabel</a></td></tr>
<tr class="separator:af808dd4002073ab0041ba3aa5f0ab7fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acabd56351c57ad65750ed18aa2eb1131"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceRHO2__K__Regression__from__SS__X.html#acabd56351c57ad65750ed18aa2eb1131">RHO2_K_Regression_from_SS_X.ylabel</a></td></tr>
<tr class="separator:acabd56351c57ad65750ed18aa2eb1131"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="RHO2__K__Regression__from__SS__X_8py.html">RHO2_K_Regression_from_SS_X.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
